From 4d6b2bf8e248948129a6e5f569e70a931c3bf6e6 Mon Sep 17 00:00:00 2001
From: Leah Rowe <leah@libreboot.org>
Date: Wed, 18 Dec 2024 06:49:08 +0000
Subject: [PATCH 1/1] Libreboot 20241206, 8th revision

This is a combination of all commits, between the 20241206
rev7 and rev8 release tags.

Signed-off-by: Leah Rowe <leah@libreboot.org>
---
 .gitignore                                    |   3 +
 build                                         |  22 +-
 config/coreboot/coreboot413/target.cfg        |   2 +
 config/coreboot/d510mo/target.cfg             |   2 +
 config/coreboot/d510mo_16mb/target.cfg        |   2 +
 config/coreboot/d945gclf_512kb/target.cfg     |   2 +
 config/coreboot/d945gclf_8mb/target.cfg       |   2 +
 ...ble-compression-on-refcode-insertion.patch |  31 +
 config/coreboot/default/target.cfg            |   2 +
 .../config/libgfxinit_corebootfb              |  11 +-
 .../config/libgfxinit_txtmode                 |  11 +-
 .../dell3050micro_fsp_16mb/target.cfg         |   5 +-
 .../config/libgfxinit_corebootfb              | 816 +++++++++++++++++
 .../config/libgfxinit_txtmode                 | 809 +++++++++++++++++
 .../dell3050micro_vfsp_16mb/target.cfg        |  13 +
 config/coreboot/dell7010sff_12mb/target.cfg   |   4 +-
 .../config/libgfxinit_corebootfb              |   2 +
 .../dell780mt_8mb/config/libgfxinit_txtmode   |   2 +
 config/coreboot/dell780mt_8mb/target.cfg      |   4 +-
 .../config/libgfxinit_corebootfb              |   2 +
 .../config/libgfxinit_txtmode                 |   2 +
 .../dell780mt_truncate_8mb/target.cfg         |   4 +-
 .../config/libgfxinit_corebootfb              |   2 +
 .../dell780usff_8mb/config/libgfxinit_txtmode |   2 +
 config/coreboot/dell780usff_8mb/target.cfg    |   4 +-
 .../config/libgfxinit_corebootfb              |   2 +
 .../config/libgfxinit_txtmode                 |   2 +
 .../dell780usff_truncate_8mb/target.cfg       |   4 +-
 .../coreboot/dell9020mt_nri_12mb/target.cfg   |   4 +-
 .../coreboot/dell9020sff_nri_12mb/target.cfg  |   4 +-
 config/coreboot/e4300_4mb/target.cfg          |   4 +-
 config/coreboot/e5420_6mb/target.cfg          |   4 +-
 config/coreboot/e5520_6mb/target.cfg          |   4 +-
 config/coreboot/e5530_12mb/target.cfg         |   4 +-
 config/coreboot/e6220_10mb/target.cfg         |   4 +-
 config/coreboot/e6230_12mb/target.cfg         |   4 +-
 config/coreboot/e6320_10mb/target.cfg         |   4 +-
 config/coreboot/e6330_12mb/target.cfg         |   4 +-
 config/coreboot/e6400_4mb/target.cfg          |   4 +-
 config/coreboot/e6400nvidia_4mb/target.cfg    |   2 +
 config/coreboot/e6420_10mb/target.cfg         |   4 +-
 config/coreboot/e6430_12mb/target.cfg         |   4 +-
 config/coreboot/e6520_10mb/target.cfg         |   4 +-
 config/coreboot/e6530_12mb/target.cfg         |   4 +-
 config/coreboot/fam15h/target.cfg             |   2 +
 config/coreboot/g43t_am3/target.cfg           |   4 +-
 config/coreboot/g43t_am3_16mb/target.cfg      |   4 +-
 config/coreboot/ga_g41m_es2l/target.cfg       |   2 +
 config/coreboot/gru_bob/target.cfg            |   2 +
 config/coreboot/gru_kevin/target.cfg          |   2 +
 config/coreboot/hp2170p_16mb/target.cfg       |   4 +-
 config/coreboot/hp2560p_8mb/target.cfg        |   4 +-
 config/coreboot/hp2570p_16mb/target.cfg       |   4 +-
 config/coreboot/hp8200sff_4mb/target.cfg      |   4 +-
 config/coreboot/hp8200sff_8mb/target.cfg      |   4 +-
 config/coreboot/hp820g2_12mb/target.cfg       |   5 +-
 config/coreboot/hp8300cmt_16mb/target.cfg     |   4 +-
 config/coreboot/hp8300usdt_16mb/target.cfg    |   4 +-
 config/coreboot/hp8460pintel_8mb/target.cfg   |   4 +-
 config/coreboot/hp8470pintel_16mb/target.cfg  |   4 +-
 config/coreboot/hp8560w_8mb/target.cfg        |   2 +
 config/coreboot/hp9470m_16mb/target.cfg       |   4 +-
 config/coreboot/kcma_d8_16mb/target.cfg       |   4 +-
 config/coreboot/kcma_d8_2mb/target.cfg        |   4 +-
 config/coreboot/kfsn4_dre_1mb/target.cfg      |   4 +-
 config/coreboot/kfsn4_dre_2mb/target.cfg      |   4 +-
 config/coreboot/kgpe_d16_16mb/target.cfg      |   4 +-
 config/coreboot/kgpe_d16_2mb/target.cfg       |   4 +-
 config/coreboot/macbook11/target.cfg          |   2 +
 config/coreboot/macbook11_16mb/target.cfg     |   2 +
 config/coreboot/macbook21/target.cfg          |   4 +-
 config/coreboot/macbook21_16mb/target.cfg     |   4 +-
 ...soc-intel-skylake-configure-usb-acpi.patch |   4 +-
 ...nitial-code-for-Lenovo-ThinkPad-E460.patch | 308 -------
 ...-Enable-4E-4F-PNP-I-O-ports-in-boot.patch} |   4 +-
 ...dd-ThinkPad-T480-and-ThinkPad-T480s.patch} | 696 +++++++-------
 ...-dell-Add-Optiplex-780-MT-x4x-ICH10.patch} |   4 +-
 ...ol-add-nuke-flag-all-0xFF-on-region.patch} |  22 +-
 ...r-coreboot-images-built-without-a-p.patch} |   4 +-
 ...-dell-optiplex_780-Add-USFF-variant.patch} |   4 +-
 ...dell-3050micro-disable-nvme-hotplug.patch} |  18 +-
 ...onfig-option-CONFIG_LENOVO_TBFW_BIN.patch} |   4 +-
 .../coreboot/next/patches/0009-sata-fix.patch |  54 --
 ...c-intel-skylake-Don-t-compress-FSP-S.patch |  36 +
 ...-Hardcoded-poweroff-after-power-fail.patch |  82 ++
 ...aro-Comment-EC_DASHARO_EC_FLASH_SIZE.patch |  32 +
 ...e-Disable-stack-overflow-debug-optio.patch |  61 ++
 ...tel-x4x-Disable-stack-overflow-debug.patch |  33 +
 config/coreboot/next/target.cfg               |   4 +-
 config/coreboot/qemu_arm64_12mb/target.cfg    |   2 +
 config/coreboot/qemu_x86_12mb/target.cfg      |   2 +
 config/coreboot/qemu_x86_64_12mb/target.cfg   |   2 +
 config/coreboot/r400_16mb/target.cfg          |   4 +-
 config/coreboot/r400_4mb/target.cfg           |   4 +-
 config/coreboot/r400_8mb/target.cfg           |   4 +-
 config/coreboot/r500_4mb/target.cfg           |   4 +-
 config/coreboot/t1650_12mb/target.cfg         |   4 +-
 config/coreboot/t400_16mb/target.cfg          |   4 +-
 config/coreboot/t400_4mb/target.cfg           |   4 +-
 config/coreboot/t400_8mb/target.cfg           |   4 +-
 config/coreboot/t420_8mb/target.cfg           |   4 +-
 config/coreboot/t420s_8mb/target.cfg          |   4 +-
 config/coreboot/t430_12mb/target.cfg          |   4 +-
 config/coreboot/t440plibremrc_12mb/target.cfg |   4 +-
 .../config/libgfxinit_corebootfb              |  21 +-
 .../t480_fsp_16mb/config/libgfxinit_txtmode   |  21 +-
 config/coreboot/t480_fsp_16mb/target.cfg      |   3 +
 .../config/libgfxinit_corebootfb              | 855 ++++++++++++++++++
 .../t480_vfsp_16mb/config/libgfxinit_txtmode  | 848 +++++++++++++++++
 config/coreboot/t480_vfsp_16mb/target.cfg     |  12 +
 .../config/libgfxinit_corebootfb              |  21 +-
 .../t480s_fsp_16mb/config/libgfxinit_txtmode  |  21 +-
 config/coreboot/t480s_fsp_16mb/target.cfg     |   3 +
 .../config/libgfxinit_corebootfb              | 855 ++++++++++++++++++
 .../t480s_vfsp_16mb/config/libgfxinit_txtmode | 848 +++++++++++++++++
 config/coreboot/t480s_vfsp_16mb/target.cfg    |  12 +
 config/coreboot/t500_16mb/target.cfg          |   4 +-
 config/coreboot/t500_4mb/target.cfg           |   4 +-
 config/coreboot/t500_8mb/target.cfg           |   4 +-
 config/coreboot/t520_8mb/target.cfg           |   4 +-
 config/coreboot/t530_12mb/target.cfg          |   4 +-
 config/coreboot/t60_16mb_intelgpu/target.cfg  |   2 +
 config/coreboot/t60_intelgpu/target.cfg       |   2 +
 config/coreboot/w500_16mb/target.cfg          |   4 +-
 config/coreboot/w500_4mb/target.cfg           |   4 +-
 config/coreboot/w500_8mb/target.cfg           |   4 +-
 config/coreboot/w530_12mb/target.cfg          |   4 +-
 config/coreboot/w541_12mb/target.cfg          |   4 +-
 config/coreboot/x200_16mb/target.cfg          |   4 +-
 config/coreboot/x200_4mb/target.cfg           |   4 +-
 config/coreboot/x200_8mb/target.cfg           |   4 +-
 config/coreboot/x220_8mb/target.cfg           |   4 +-
 config/coreboot/x230_12mb/target.cfg          |   4 +-
 config/coreboot/x230_16mb/target.cfg          |   4 +-
 config/coreboot/x230t_12mb/target.cfg         |   4 +-
 config/coreboot/x230t_16mb/target.cfg         |   4 +-
 config/coreboot/x301_16mb/target.cfg          |   4 +-
 config/coreboot/x301_4mb/target.cfg           |   4 +-
 config/coreboot/x301_8mb/target.cfg           |   4 +-
 config/coreboot/x60/target.cfg                |   2 +
 config/coreboot/x60_16mb/target.cfg           |   2 +
 config/data/coreboot/mkhelper.cfg             |   4 +-
 config/data/deguard/appdir.patch              | 131 ---
 config/data/grub/mkhelper.cfg                 |   2 +
 config/data/grub/module/default               |   2 +
 config/data/grub/module/nvme                  |   2 +
 config/data/grub/module/xhci                  |   2 +
 config/data/pcsx-redux/mkhelper.cfg           |   2 +
 config/data/pico-serprog/mkhelper.cfg         |   5 +-
 config/data/seabios/mkhelper.cfg              |   0
 config/data/stm32-vserprog/mkhelper.cfg       |   2 +
 config/dependencies/arch                      |   6 +-
 config/dependencies/debian                    |   8 +-
 config/dependencies/fedora38                  |   6 +-
 config/dependencies/fedora40                  |   6 +-
 config/dependencies/fedora41                  |   9 +-
 config/dependencies/parabola                  |  10 +-
 config/dependencies/trisquel                  |   8 +-
 config/dependencies/ubuntu2004                |   6 +-
 config/dependencies/ubuntu2404                |   6 +-
 config/dependencies/void                      |   6 +-
 .../0001-Workaround-for-MX25-chips.patch      |  24 +-
 config/flashprog/target.cfg                   |   3 +
 config/git/bios_extract/pkg.cfg               |   2 +
 config/git/biosutilities/pkg.cfg              |   2 +
 config/git/coreboot/pkg.cfg                   |   2 +
 config/git/deguard/pkg.cfg                    |   2 +
 config/git/docs/pkg.cfg                       |   2 +
 config/git/flashprog/pkg.cfg                  |   4 +-
 config/git/gpio-scripts/pkg.cfg               |   2 +
 config/git/grub/pkg.cfg                       |   2 +
 config/git/int/pkg.cfg                        |   2 +
 config/git/memtest86plus/pkg.cfg              |   2 +
 config/git/mxmdump/pkg.cfg                    |   2 +
 config/git/pcsx-redux/pkg.cfg                 |   2 +
 config/git/pico-sdk/pkg.cfg                   |   4 +-
 config/git/pico-serprog/pkg.cfg               |   4 +-
 config/git/picotool/pkg.cfg                   |   5 +
 config/git/seabios/pkg.cfg                    |   2 +
 config/git/stm32-vserprog/pkg.cfg             |   2 +
 config/git/u-boot/pkg.cfg                     |   2 +
 config/git/uefitool/pkg.cfg                   |   2 +
 ...missing-characters-for-borders-arrow.patch |   4 +-
 ...-the-name-libreboot-in-the-grub-menu.patch |   8 +-
 .../patches/0003-Add-CC0-license.patch        |   8 +-
 .../patches/0004-Define-GRUB_UINT32_MAX.patch |   4 +-
 .../patches/0005-Add-Argon2-algorithm.patch   |  11 +-
 ...Error-on-missing-Argon2id-parameters.patch |   4 +-
 .../0007-Compile-with-Argon2id-support.patch  |   8 +-
 ...8-Make-grub-install-work-with-Argon2.patch |   4 +-
 ...-coreboot-force-scancodes2-translate.patch |   4 +-
 ...outs-don-t-print-Unknown-key-message.patch |   4 +-
 ...-missing-prefix-errors-on-the-screen.patch |   8 +-
 ...on-t-print-error-if-module-not-found.patch |   8 +-
 ...013-don-t-print-empty-error-messages.patch |   4 +-
 config/grub/default/target.cfg                |   4 +-
 ...missing-characters-for-borders-arrow.patch |   4 +-
 ...-the-name-libreboot-in-the-grub-menu.patch |   8 +-
 .../nvme/patches/0003-Add-CC0-license.patch   |   8 +-
 .../patches/0004-Define-GRUB_UINT32_MAX.patch |   4 +-
 .../patches/0005-Add-Argon2-algorithm.patch   |  11 +-
 ...Error-on-missing-Argon2id-parameters.patch |   4 +-
 .../0007-Compile-with-Argon2id-support.patch  |   8 +-
 ...8-Make-grub-install-work-with-Argon2.patch |   4 +-
 ...-coreboot-force-scancodes2-translate.patch |   4 +-
 ...outs-don-t-print-Unknown-key-message.patch |   4 +-
 ...-missing-prefix-errors-on-the-screen.patch |   8 +-
 ...on-t-print-error-if-module-not-found.patch |   8 +-
 ...013-don-t-print-empty-error-messages.patch |   4 +-
 ...-native-NVMe-driver-based-on-SeaBIOS.patch |  17 +-
 config/grub/nvme/target.cfg                   |   4 +-
 ...missing-characters-for-borders-arrow.patch |   4 +-
 ...-the-name-libreboot-in-the-grub-menu.patch |   8 +-
 .../xhci/patches/0003-Add-CC0-license.patch   |   8 +-
 .../patches/0004-Define-GRUB_UINT32_MAX.patch |   4 +-
 .../patches/0005-Add-Argon2-algorithm.patch   |  11 +-
 ...Error-on-missing-Argon2id-parameters.patch |   4 +-
 .../0007-Compile-with-Argon2id-support.patch  |   8 +-
 ...8-Make-grub-install-work-with-Argon2.patch |   4 +-
 ...-coreboot-force-scancodes2-translate.patch |   4 +-
 ...outs-don-t-print-Unknown-key-message.patch |   4 +-
 ...-missing-prefix-errors-on-the-screen.patch |   8 +-
 ...on-t-print-error-if-module-not-found.patch |   8 +-
 ...013-don-t-print-empty-error-messages.patch |   4 +-
 ...b-Parse-SuperSpeed-companion-descrip.patch |   4 +-
 .../patches/0015-usb-Add-enum-for-xHCI.patch  |   4 +-
 ...rans-Set-default-maximum-packet-size.patch |   4 +-
 ...b-Add-function-pointer-for-attach-de.patch |   4 +-
 ...b-usbhub-Add-new-private-fields-for-.patch |   4 +-
 ...9-grub-core-bus-usb-Add-xhci-support.patch |   6 +-
 ...b-usbhub-Add-xHCI-non-root-hub-suppo.patch |   4 +-
 .../0021-Fix-compilation-on-x86_64.patch      |   4 +-
 ...-native-NVMe-driver-based-on-SeaBIOS.patch |  17 +-
 config/grub/xhci/target.cfg                   |   4 +-
 config/pcsx-redux/target.cfg                  |   2 +
 ...ibreboot-version-in-the-SeaBIOS-menu.patch |  26 +
 config/seabios/default/target.cfg             |   4 +-
 .../coreboot/coreboot413/vboot/module.cfg     |   2 +
 .../acpica-unix-20230628.tar.gz/module.cfg    |   2 +
 .../default/arm-trusted-firmware/module.cfg   |   2 +
 .../default/binutils-2.42.tar.xz/module.cfg   |   2 +
 .../default/gcc-14.1.0.tar.xz/module.cfg      |   2 +
 .../default/gmp-6.3.0.tar.xz/module.cfg       |   2 +
 .../default/intel-microcode/module.cfg        |   2 +
 .../coreboot/default/libgfxinit/module.cfg    |   2 +
 .../coreboot/default/libhwbase/module.cfg     |   2 +
 .../default/mpc-1.3.1.tar.gz/module.cfg       |   2 +
 .../default/mpfr-4.2.1.tar.xz/module.cfg      |   2 +
 .../default/nasm-2.16.03.tar.bz2/module.cfg   |   2 +
 .../coreboot/default/vboot/module.cfg         |   2 +
 .../acpica-unix2-20190703.tar.gz/module.cfg   |   2 +
 .../fam15h/binutils-2.32.tar.xz/module.cfg    |   2 +
 .../coreboot/fam15h/blobs/module.cfg          |   2 +
 .../fam15h/gcc-8.3.0.tar.xz/module.cfg        |   2 +
 .../fam15h/gmp-6.1.2.tar.xz/module.cfg        |   2 +
 .../fam15h/mpc-1.1.0.tar.gz/module.cfg        |   2 +
 .../fam15h/mpfr-4.0.2.tar.xz/module.cfg       |   2 +
 .../fam15h/nasm-2.14.02.tar.bz2/module.cfg    |   2 +
 .../coreboot/fam15h/vboot/module.cfg          |   2 +
 .../acpica-unix-20230628.tar.gz/module.cfg    |   3 -
 .../acpica-unix-20241212.tar.gz/module.cfg    |   5 +
 .../next/binutils-2.43.1.tar.xz/module.cfg    |   2 +
 config/submodule/coreboot/next/fsp/module.cfg |   4 +-
 .../next/gcc-14.2.0.tar.xz/module.cfg         |   2 +
 .../coreboot/next/gmp-6.3.0.tar.xz/module.cfg |   2 +
 .../coreboot/next/intel-microcode/module.cfg  |   2 +
 .../coreboot/next/libgfxinit/module.cfg       |   2 +
 .../coreboot/next/libhwbase/module.cfg        |   2 +
 config/submodule/coreboot/next/module.list    |   2 +-
 .../coreboot/next/mpc-1.3.1.tar.gz/module.cfg |   2 +
 .../next/mpfr-4.2.1.tar.xz/module.cfg         |   2 +
 .../next/nasm-2.16.03.tar.bz2/module.cfg      |   2 +
 .../submodule/coreboot/next/vboot/module.cfg  |   4 +-
 config/submodule/docs/html/module.cfg         |   4 +-
 config/submodule/docs/img/module.cfg          |   4 +-
 config/submodule/docs/untitled/module.cfg     |   2 +
 .../submodule/grub/default/gnulib/module.cfg  |   6 +-
 config/submodule/grub/nvme/gnulib/module.cfg  |   6 +-
 config/submodule/grub/xhci/gnulib/module.cfg  |   6 +-
 config/submodule/pcsx-redux/uC-sdk/module.cfg |   2 +
 config/submodule/pico-sdk/tinyusb/module.cfg  |   2 +
 .../stm32-vserprog/libopencm3/module.cfg      |   2 +
 config/u-boot/amd64coreboot/target.cfg        |   2 +
 ...randing-version-on-the-bootflow-menu.patch |   2 +-
 ...bfdt-libfdt.i_shipped-Use-SWIG_Appen.patch |  61 ++
 config/u-boot/default/target.cfg              |   2 +
 config/u-boot/gru_bob/target.cfg              |   2 +
 config/u-boot/gru_kevin/target.cfg            |   2 +
 config/u-boot/i386coreboot/target.cfg         |   2 +
 config/u-boot/qemu_arm64_12mb/target.cfg      |   2 +
 ...randing-version-on-the-bootflow-menu.patch |   2 +-
 ...bfdt-libfdt.i_shipped-Use-SWIG_Appen.patch |  61 ++
 config/u-boot/x86/target.cfg                  |   2 +
 ...randing-version-on-the-bootflow-menu.patch |   2 +-
 ...bfdt-libfdt.i_shipped-Use-SWIG_Appen.patch |  61 ++
 config/u-boot/x86_64/target.cfg               |   2 +
 config/uefitool/target.cfg                    |   2 +
 config/vendor/3050micro/pkg.cfg               |   9 +
 config/vendor/e6400/pkg.cfg                   |   2 +
 config/vendor/haswell/pkg.cfg                 |   2 +
 config/vendor/hp2170p/pkg.cfg                 |   2 +
 config/vendor/hp2560p/pkg.cfg                 |   2 +
 config/vendor/hp2570p/pkg.cfg                 |   2 +
 config/vendor/hp8200sff/pkg.cfg               |   2 +
 config/vendor/hp820g2/pkg.cfg                 |   2 +
 config/vendor/hp8460pintel/pkg.cfg            |   2 +
 config/vendor/hp8470pintel/pkg.cfg            |   2 +
 config/vendor/hp8560w/pkg.cfg                 |   2 +
 config/vendor/hp9470m/pkg.cfg                 |   2 +
 config/vendor/ivybridge/pkg.cfg               |   2 +
 config/vendor/sandybridge/pkg.cfg             |   2 +
 config/vendor/t1650/pkg.cfg                   |   2 +
 config/vendor/t480/pkg.cfg                    |   9 +
 config/vendor/t480s/pkg.cfg                   |   9 +
 include/git.sh                                |  20 +-
 include/lib.sh                                | 105 ++-
 include/mrc.sh                                |   2 +-
 include/rom.sh                                |  95 +-
 include/vendor.sh                             | 607 ++++++++++---
 script/trees                                  |  88 +-
 util/nvmutil/AUTHORS                          |   1 +
 util/nvmutil/COPYING                          |   3 +-
 util/nvmutil/Makefile                         |  20 +-
 util/nvmutil/nvmutil.c                        |  91 +-
 util/spkmodem_recv/Makefile                   |   9 +-
 325 files changed, 7490 insertions(+), 1539 deletions(-)
 create mode 100644 config/coreboot/default/patches/0052-Disable-compression-on-refcode-insertion.patch
 create mode 100644 config/coreboot/dell3050micro_vfsp_16mb/config/libgfxinit_corebootfb
 create mode 100644 config/coreboot/dell3050micro_vfsp_16mb/config/libgfxinit_txtmode
 create mode 100644 config/coreboot/dell3050micro_vfsp_16mb/target.cfg
 delete mode 100644 config/coreboot/next/patches/0002-mb-lenovo-Add-initial-code-for-Lenovo-ThinkPad-E460.patch
 rename config/coreboot/next/patches/{0003-soc-intel-skylake-Enable-4E-4F-PNP-I-O-ports-in-boot.patch => 0002-soc-intel-skylake-Enable-4E-4F-PNP-I-O-ports-in-boot.patch} (86%)
 rename config/coreboot/next/patches/{0004-mb-lenovo-Add-ThinkPad-T480-and-ThinkPad-T480s.patch => 0003-mb-lenovo-Add-ThinkPad-T480-and-ThinkPad-T480s.patch} (84%)
 rename config/coreboot/next/patches/{0005-mb-dell-Add-Optiplex-780-MT-x4x-ICH10.patch => 0004-mb-dell-Add-Optiplex-780-MT-x4x-ICH10.patch} (99%)
 rename config/coreboot/next/patches/{0006-util-ifdtool-add-nuke-flag-all-0xFF-on-region.patch => 0005-util-ifdtool-add-nuke-flag-all-0xFF-on-region.patch} (92%)
 rename config/coreboot/next/patches/{0007-Remove-warning-for-coreboot-images-built-without-a-p.patch => 0006-Remove-warning-for-coreboot-images-built-without-a-p.patch} (90%)
 rename config/coreboot/next/patches/{0008-mb-dell-optiplex_780-Add-USFF-variant.patch => 0007-mb-dell-optiplex_780-Add-USFF-variant.patch} (98%)
 rename config/coreboot/next/patches/{0010-dell-3050micro-disable-nvme-hotplug.patch => 0008-dell-3050micro-disable-nvme-hotplug.patch} (77%)
 rename config/coreboot/next/patches/{0011-lenovo-Add-Kconfig-option-CONFIG_LENOVO_TBFW_BIN.patch => 0009-lenovo-Add-Kconfig-option-CONFIG_LENOVO_TBFW_BIN.patch} (95%)
 delete mode 100644 config/coreboot/next/patches/0009-sata-fix.patch
 create mode 100644 config/coreboot/next/patches/0010-soc-intel-skylake-Don-t-compress-FSP-S.patch
 create mode 100644 config/coreboot/next/patches/0011-soc-intel-pmc-Hardcoded-poweroff-after-power-fail.patch
 create mode 100644 config/coreboot/next/patches/0012-ec-dasharo-Comment-EC_DASHARO_EC_FLASH_SIZE.patch
 create mode 100644 config/coreboot/next/patches/0013-src-intel-skylake-Disable-stack-overflow-debug-optio.patch
 create mode 100644 config/coreboot/next/patches/0014-src-intel-x4x-Disable-stack-overflow-debug.patch
 create mode 100644 config/coreboot/t480_vfsp_16mb/config/libgfxinit_corebootfb
 create mode 100644 config/coreboot/t480_vfsp_16mb/config/libgfxinit_txtmode
 create mode 100644 config/coreboot/t480_vfsp_16mb/target.cfg
 create mode 100644 config/coreboot/t480s_vfsp_16mb/config/libgfxinit_corebootfb
 create mode 100644 config/coreboot/t480s_vfsp_16mb/config/libgfxinit_txtmode
 create mode 100644 config/coreboot/t480s_vfsp_16mb/target.cfg
 delete mode 100644 config/data/deguard/appdir.patch
 delete mode 100644 config/data/seabios/mkhelper.cfg
 create mode 100644 config/flashprog/target.cfg
 create mode 100644 config/git/picotool/pkg.cfg
 create mode 100644 config/seabios/default/patches/0003-Print-the-Libreboot-version-in-the-SeaBIOS-menu.patch
 delete mode 100644 config/submodule/coreboot/next/acpica-unix-20230628.tar.gz/module.cfg
 create mode 100644 config/submodule/coreboot/next/acpica-unix-20241212.tar.gz/module.cfg
 create mode 100644 config/u-boot/default/patches/0009-scripts-dtc-pylibfdt-libfdt.i_shipped-Use-SWIG_Appen.patch
 create mode 100644 config/u-boot/x86/patches/0008-scripts-dtc-pylibfdt-libfdt.i_shipped-Use-SWIG_Appen.patch
 create mode 100644 config/u-boot/x86_64/patches/0008-scripts-dtc-pylibfdt-libfdt.i_shipped-Use-SWIG_Appen.patch

diff --git a/.gitignore b/.gitignore
index a4dbea5860f..177512a739f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -39,3 +39,6 @@
 *.tar.*
 /m
 /f
+/r
+/e
+/xbmkpath/
diff --git a/build b/build
index 985bbe9ef7d..2e04f59f492 100755
--- a/build
+++ b/build
@@ -1,8 +1,6 @@
 #!/usr/bin/env sh
 # SPDX-License-Identifier: GPL-3.0-or-later
-# Copyright (c) 2014-2015,2020-2024 Leah Rowe <leah@libreboot.org>
-# Copyright (c) 2015 Patrick "P. J." McDermott <pj@pehjota.net>
-# Copyright (c) 2015-2016 Klemens Nanni <contact@autoboot.org>
+# Copyright (c) 2020-2025 Leah Rowe <leah@libreboot.org>
 # Copyright (c) 2022 Caleb La Grange <thonkpeasant@protonmail.com>
 
 set -u -e
@@ -16,7 +14,7 @@ fi
 . "include/vendor.sh"
 . "include/mrc.sh"
 
-eval `setvars "" vdir src_dirname srcdir mode xp ser`
+eval "`setvars "" vdir src_dirname srcdir mode xp ser`"
 err="fail"
 
 main()
@@ -25,23 +23,23 @@ main()
 	spath="script/$1"; shcmd="shift 1"
 	[ "${1#-*}" != "$1" ] && spath="script/trees" && shcmd=":"
 
-	for g in "which git" "git config --global user.name" \
+	for g in "command -v git" "git config --global user.name" \
 	    "git config --global user.email" "git_init"; do
 		eval "$g 1>/dev/null 2>/dev/null || $err \"Unconfigured: $g\""
 	done
 
 	case "${spath#script/}" in
 	version) printf "%s\nWebsite: %s\n" "$relname" "$projectsite" ;;
-	release) shift 1; mkrelease $@ ;;
-	inject) shift 1; vendor_inject $@ ;;
-	download) shift 1; vendor_download $@ ;;
+	release) shift 1; mkrelease "$@" ;;
+	inject) shift 1; vendor_inject "$@" ;;
+	download) shift 1; vendor_download "$@" ;;
 	roms)
 		[ $# -gt 1 ] && [ "$2" = "serprog" ] && \
 		    mk -b stm32-vserprog pico-serprog && return 0
-		shift 1; x_ ./mk -b coreboot $@ ;;
+		shift 1; x_ ./mk -b coreboot "$@" ;;
 	*)
 		[ -f "$spath" ] || $err "bad command"
-		$shcmd; "$spath" $@ || $err "excmd: $spath $(echo "$@")" ;;
+		$shcmd; "$spath" "$@" || $err "excmd: $spath $(echo "$@")" ;;
 	esac
 	set -u -e # some commands disable them. turn them on!
 }
@@ -50,7 +48,7 @@ git_init()
 {
 	[ -L ".git" ] && return 1
 	[ -e ".git" ] && return 0
-	eval `setvars "$(date -Rud @$versiondate)" cdate _nogit`
+	eval "`setvars "$(date -Rud @$versiondate)" cdate _nogit`"
 
 	git init || return 1
 	git add -A . || return 1
@@ -128,5 +126,5 @@ tmp_cleanup()
 	rm -f lock || return 1
 }
 
-main $@
+main "$@"
 tmp_cleanup || err_ "can't rm TMPDIR upon non-zero exit: $TMPDIR"
diff --git a/config/coreboot/coreboot413/target.cfg b/config/coreboot/coreboot413/target.cfg
index 5c2823e3f06..a0aae341401 100644
--- a/config/coreboot/coreboot413/target.cfg
+++ b/config/coreboot/coreboot413/target.cfg
@@ -1,2 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="coreboot413"
 rev="5c186c6777c9438ff4681929c9c25c98dee28bef"
diff --git a/config/coreboot/d510mo/target.cfg b/config/coreboot/d510mo/target.cfg
index bb79aee5030..e6c6d0330fb 100644
--- a/config/coreboot/d510mo/target.cfg
+++ b/config/coreboot/d510mo/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/d510mo_16mb/target.cfg b/config/coreboot/d510mo_16mb/target.cfg
index 62768ec741d..cbb93fc1ad2 100644
--- a/config/coreboot/d510mo_16mb/target.cfg
+++ b/config/coreboot/d510mo_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/d945gclf_512kb/target.cfg b/config/coreboot/d945gclf_512kb/target.cfg
index d2d78f7ab79..8bddc19c926 100644
--- a/config/coreboot/d945gclf_512kb/target.cfg
+++ b/config/coreboot/d945gclf_512kb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/d945gclf_8mb/target.cfg b/config/coreboot/d945gclf_8mb/target.cfg
index 0d97499e912..447dc86b908 100644
--- a/config/coreboot/d945gclf_8mb/target.cfg
+++ b/config/coreboot/d945gclf_8mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/default/target.cfg b/config/coreboot/default/target.cfg
index 3a773b4381e..9de01b28e06 100644
--- a/config/coreboot/default/target.cfg
+++ b/config/coreboot/default/target.cfg
@@ -1,2 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 rev="97bc693abc482139774a656212935387d43df8e2"
diff --git a/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_corebootfb b/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_corebootfb
index cd2152eb773..f6ce20763e8 100644
--- a/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_corebootfb
+++ b/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_corebootfb
@@ -86,6 +86,7 @@ CONFIG_VENDOR_DELL=y
 # CONFIG_VENDOR_LATTEPANDA is not set
 # CONFIG_VENDOR_LENOVO is not set
 # CONFIG_VENDOR_LIBRETREND is not set
+# CONFIG_VENDOR_MITAC_COMPUTING is not set
 # CONFIG_VENDOR_MSI is not set
 # CONFIG_VENDOR_OCP is not set
 # CONFIG_VENDOR_OPENCELLULAR is not set
@@ -193,8 +194,8 @@ CONFIG_HAVE_IFD_BIN=y
 CONFIG_PS2K_EISAID="PNP0303"
 CONFIG_PS2M_EISAID="PNP0F13"
 CONFIG_GFX_GMA_PANEL_1_PORT="eDP"
-# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_TTYS0_BAUD=115200
+# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_POWER_STATE_DEFAULT_ON_AFTER_FAILURE=y
 CONFIG_D3COLD_SUPPORT=y
 CONFIG_GFX_GMA_PANEL_1_ON_EDP=y
@@ -238,8 +239,8 @@ CONFIG_MAINBOARD_POWER_FAILURE_STATE=1
 # SoC
 #
 CONFIG_CHIPSET_DEVICETREE="soc/intel/skylake/chipset.cb"
-CONFIG_FSP_M_FILE="$(obj)/Fsp_M.fd"
-CONFIG_FSP_S_FILE="$(obj)/Fsp_S.fd"
+CONFIG_FSP_M_FILE="../../../vendorfiles/kabylake/Fsp_M.fd"
+CONFIG_FSP_S_FILE="../../../vendorfiles/kabylake/Fsp_S.fd"
 CONFIG_CBFS_MCACHE_SIZE=0x4000
 CONFIG_ROMSTAGE_ADDR=0x2000000
 CONFIG_VERSTAGE_ADDR=0x2000000
@@ -314,7 +315,7 @@ CONFIG_INTEL_CAR_NEM_ENHANCED=y
 # CONFIG_USE_INTEL_FSP_MP_INIT is not set
 CONFIG_CPU_SUPPORTS_PM_TIMER_EMULATION=y
 CONFIG_HAVE_HYPERTHREADING=y
-CONFIG_FSP_HYPERTHREADING=y
+# CONFIG_FSP_HYPERTHREADING is not set
 # CONFIG_INTEL_KEYLOCKER is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_MAX is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_256MB is not set
@@ -574,6 +575,7 @@ CONFIG_CRB_TPM_BASE_ADDRESS=0xfed40000
 # CONFIG_ELOG is not set
 CONFIG_CACHE_MRC_SETTINGS=y
 CONFIG_MRC_SETTINGS_PROTECT=y
+# CONFIG_DRIVERS_OPTION_CFR is not set
 # CONFIG_SMMSTORE is not set
 CONFIG_SPI_FLASH=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP=y
@@ -603,7 +605,6 @@ CONFIG_FSP_FULL_FD=y
 CONFIG_FSP_T_RESERVED_SIZE=0x0
 CONFIG_FSP_M_XIP=y
 CONFIG_HAVE_FSP_LOGO_SUPPORT=y
-CONFIG_FSP_COMPRESS_FSP_S_LZ4=y
 CONFIG_SOC_INTEL_COMMON_FSP_RESET=y
 CONFIG_USE_FSP_NOTIFY_PHASE_POST_PCI_ENUM=y
 CONFIG_USE_FSP_NOTIFY_PHASE_READY_TO_BOOT=y
diff --git a/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_txtmode b/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_txtmode
index 412c1dec8b5..593237f1653 100644
--- a/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_txtmode
+++ b/config/coreboot/dell3050micro_fsp_16mb/config/libgfxinit_txtmode
@@ -86,6 +86,7 @@ CONFIG_VENDOR_DELL=y
 # CONFIG_VENDOR_LATTEPANDA is not set
 # CONFIG_VENDOR_LENOVO is not set
 # CONFIG_VENDOR_LIBRETREND is not set
+# CONFIG_VENDOR_MITAC_COMPUTING is not set
 # CONFIG_VENDOR_MSI is not set
 # CONFIG_VENDOR_OCP is not set
 # CONFIG_VENDOR_OPENCELLULAR is not set
@@ -191,8 +192,8 @@ CONFIG_HAVE_IFD_BIN=y
 CONFIG_PS2K_EISAID="PNP0303"
 CONFIG_PS2M_EISAID="PNP0F13"
 CONFIG_GFX_GMA_PANEL_1_PORT="eDP"
-# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_TTYS0_BAUD=115200
+# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_POWER_STATE_DEFAULT_ON_AFTER_FAILURE=y
 CONFIG_D3COLD_SUPPORT=y
 CONFIG_GFX_GMA_PANEL_1_ON_EDP=y
@@ -236,8 +237,8 @@ CONFIG_MAINBOARD_POWER_FAILURE_STATE=1
 # SoC
 #
 CONFIG_CHIPSET_DEVICETREE="soc/intel/skylake/chipset.cb"
-CONFIG_FSP_M_FILE="$(obj)/Fsp_M.fd"
-CONFIG_FSP_S_FILE="$(obj)/Fsp_S.fd"
+CONFIG_FSP_M_FILE="../../../vendorfiles/kabylake/Fsp_M.fd"
+CONFIG_FSP_S_FILE="../../../vendorfiles/kabylake/Fsp_S.fd"
 CONFIG_CBFS_MCACHE_SIZE=0x4000
 CONFIG_ROMSTAGE_ADDR=0x2000000
 CONFIG_VERSTAGE_ADDR=0x2000000
@@ -312,7 +313,7 @@ CONFIG_INTEL_CAR_NEM_ENHANCED=y
 # CONFIG_USE_INTEL_FSP_MP_INIT is not set
 CONFIG_CPU_SUPPORTS_PM_TIMER_EMULATION=y
 CONFIG_HAVE_HYPERTHREADING=y
-CONFIG_FSP_HYPERTHREADING=y
+# CONFIG_FSP_HYPERTHREADING is not set
 # CONFIG_INTEL_KEYLOCKER is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_MAX is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_256MB is not set
@@ -566,6 +567,7 @@ CONFIG_CRB_TPM_BASE_ADDRESS=0xfed40000
 # CONFIG_ELOG is not set
 CONFIG_CACHE_MRC_SETTINGS=y
 CONFIG_MRC_SETTINGS_PROTECT=y
+# CONFIG_DRIVERS_OPTION_CFR is not set
 # CONFIG_SMMSTORE is not set
 CONFIG_SPI_FLASH=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP=y
@@ -595,7 +597,6 @@ CONFIG_FSP_FULL_FD=y
 CONFIG_FSP_T_RESERVED_SIZE=0x0
 CONFIG_FSP_M_XIP=y
 CONFIG_HAVE_FSP_LOGO_SUPPORT=y
-CONFIG_FSP_COMPRESS_FSP_S_LZ4=y
 CONFIG_SOC_INTEL_COMMON_FSP_RESET=y
 CONFIG_USE_FSP_NOTIFY_PHASE_POST_PCI_ENUM=y
 CONFIG_USE_FSP_NOTIFY_PHASE_READY_TO_BOOT=y
